Subject: Re: _argc & _argv
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Tue, 1 Aug 2000 19:50:07 -0800

On 1 Aug 2000, at 21:49, the Illustrious Chris Faylor wrote:

> The only way to get the argc and argv parameters is in your main
> function.  They are passed as arguments.
> 
> Cygwin does not have external globals that point to argc or argv.
> Neither does UNIX.

	I know Unix doesn't...I didn't know that Cygwin echoed that.  I 
think that is the answer I was attempting to elicit.

	Thank you for your patience.

> 
> Cygwin emulates UNIX on Windows.
> 
> >What is used for Cygwin?  Cygwin does mean Cygnus for Win32,
> >does it not?
> 
> Cygwin was developed to provide a UNIX interface for Windows.

	That was my impression.

> 
> FYI, there is documentation on this and other things (not argc,
> arg, unfortunately) on our web site:
> http://sources.redhat.com/cygwin/ .

	This is why I asked -- there is no documentation on argc, arg, 
etc.

	Thanks, Chris.

	Peace,

		Paul G.

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Send a message to [email-masked]